import { D as FramesStackItem, C as FrameStackMessage, B as FrameStackRequestError, z as FrameStackDone, G as GetFrameResult } from '../types-BjhvUjTQ.cjs';
import { PartialFrame } from './types.cjs';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import 'frames.js/types';
import '@farcaster/core';

type FrameResultFailure = Exclude<GetFrameResult, {
    status: "success";
}>;
type FrameStackItemWithPartialFrame = Omit<FrameStackDone, "frameResult"> & {
    frameResult: Omit<FrameResultFailure, "frame"> & {
        frame: PartialFrame;
    };
};
declare function isPartialFrameStackItem(stackItem: FramesStackItem): stackItem is FrameStackItemWithPartialFrame;
declare function getErrorMessageFromFramesStackItem(item: FrameStackMessage | FrameStackRequestError): string;

export { getErrorMessageFromFramesStackItem, isPartialFrameStackItem };
